Bug 462325 - system-config-firewall fails to save settings
system-config-firewall fails to save settings
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-15 08:37 EDT by Karel Volný
Modified: 2009-07-15 04:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:22:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2008-09-15 08:37:39 EDT
Description of problem:
After starting system-config-firewall I get an error message that the files /etc/sysconfig/iptables and /etc/sysconfig/ip6tables are missing or unusable and that I have to apply my settings to fix it.
But when I try to apply the changes, I get an error (see below).

Version-Release number of selected component (if applicable):
1.2.10

How reproducible:
always (on my system ...)

Steps to Reproduce:
1. start system-settings-firewall
2. try to apply the settings
  
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/lokkit", line 212, in <module>
    sysctl.write()
  File "/usr/share/system-config-firewall/fw_sysctl.py", line 97, in write
    % (key, self.p_config[key]))
KeyError: 'kernel.core_uses_pid'

Expected results:
configuration saved without any error

Additional info:
Comment 1 Michael Hampton 2008-09-15 10:31:55 EDT
system-config-firewall and system-config-firewall-tui also fail to save settings for me. Though I have a different problem: lokkit hangs, never returning one way or the other or crashing at all. This is probably related in some way to bug 445622. A strace attached to the running process generates:

Process 17958 attached - interrupt to quit
select(4, [3], NULL, NULL, {6, 67000})  = 0 (Timeout)
select(4, [3], NULL, NULL, {10, 0})     = 0 (Timeout)
select(4, [3], NULL, NULL, {10, 0})     = 0 (Timeout)
select(4, [3], NULL, NULL, {10, 0})     = 0 (Timeout)
select(4, [3], NULL, NULL, {10, 0})     = 0 (Timeout)
select(4, [3], NULL, NULL, {10, 0}^C <unfinished ...>
Process 17958 detached
Comment 2 Thomas Woerner 2008-09-19 11:18:37 EDT
Do you have spacial system settings? Please have a look at the process list: Is there a running modprobe?
Comment 3 Michael Hampton 2008-09-19 11:59:50 EDT
I have no modprobe command running at the time this happens.
Comment 4 Karel Volný 2008-09-24 06:54:21 EDT
I also do not have modprobe running when the problem happens
Comment 5 Fedora Update System 2009-06-03 08:37:23 EDT
system-config-firewall-1.2.16-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/system-config-firewall-1.2.16-3.fc9
Comment 6 Fedora Update System 2009-06-04 17:20:19 EDT
system-config-firewall-1.2.16-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-firewall'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5926
Comment 7 Bug Zapper 2009-06-09 22:43:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-15 04:22:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.